#include<iostream>
using namespace std;

#include "dco.hpp" // dco/c++ header

int main() {
  dco::gt1s<float>::type x,y; // tangent type variables
  dco::value(x)=2; // set primal value of active input
  dco::derivative(x)=1; // seed tangent of active input
  y=sin(x); // evaluate primal and propagate tangent
  cout << dco::value(y) << " "; // get primal value of active output
  cout << dco::derivative(y) << endl; // harvest tangent of active output 
  return 0;
}
