#include<cmath>
#include<fstream>
using namespace std;

template<typename T>
T f(T x) { return sin(x); }

int main() {
  float xmin=0, xmax=10;
  int nsamples=100;
  ofstream ofs("f.dat");
  for (float x=xmin;
    x<xmax;
    x=x+(xmax-xmin)/nsamples) {
    ofs << x << " " 
        << f(x) << endl;
  }
  ofs.close();
  return 0;
}
